using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
    public class CreatePrecioDto
    {
        [Required(ErrorMessage = "El ID de la publicación es obligatorio.")]
        public int IdPublicacion { get; set; }

        [Required(ErrorMessage = "La fecha de Vigencia Desde es obligatoria.")]
        public DateTime VigenciaD { get; set; } // Recibir como DateTime desde el cliente

        // VigenciaH se calculará o se dejará null inicialmente.

        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Lunes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Martes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Miercoles { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Jueves { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Viernes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Sabado { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Domingo { get; set; }
    }
}